import React from 'react';
import UserCard from '../../components/UserCard';
import './usersComponent.css';

const UsersComponent = ({ users, deleteUser, setUserPopup, handleSwitchPopup }) => {

  let listOfUsers = users.map(user =>
    <UserCard
      key={user.id}
      user={user}
      deleteUser={deleteUser}
      setUserPopup={setUserPopup}
      handleSwitchPopup={handleSwitchPopup}
    />);

  return (
    <section className="users_box">
      <div className="users_component">
        {listOfUsers}
      </div>
    </section>
  );
}

export default UsersComponent;